<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::MocoProblemInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1MocoProblemInfo.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1MocoProblemInfo-members.html">List of all members</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::MocoProblemInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class is mostly for internal use for <a class="el" href="classOpenSim_1_1MocoProblemRep.html" title="The primary intent of this class is for use by MocoSolvers, but users can also use this class to appl...">MocoProblemRep</a> to pass select information about a problem to the <a class="el" href="classOpenSim_1_1MocoGoal.html" title="A goal is a term in the cost functional to be minimized, or a set of endpoint constraints that must l...">MocoGoal</a>s and <a class="el" href="classOpenSim_1_1MocoPathConstraint.html" title="A path constraint to be enforced in the optimal control problem.">MocoPathConstraint</a>s of the problem during initializeOnModel().  
 <a href="classOpenSim_1_1MocoProblemInfo.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a80cfabe5a8c8d8e2fdfd6b203ac2ceee"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoProblemInfo.html#a80cfabe5a8c8d8e2fdfd6b203ac2ceee">minInitialTime</a></td></tr>
<tr class="separator:a80cfabe5a8c8d8e2fdfd6b203ac2ceee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfa1b787001167061e8208ef2553e619"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoProblemInfo.html#adfa1b787001167061e8208ef2553e619">maxFinalTime</a></td></tr>
<tr class="separator:adfa1b787001167061e8208ef2553e619"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>This class is mostly for internal use for <a class="el" href="classOpenSim_1_1MocoProblemRep.html" title="The primary intent of this class is for use by MocoSolvers, but users can also use this class to appl...">MocoProblemRep</a> to pass select information about a problem to the <a class="el" href="classOpenSim_1_1MocoGoal.html" title="A goal is a term in the cost functional to be minimized, or a set of endpoint constraints that must l...">MocoGoal</a>s and <a class="el" href="classOpenSim_1_1MocoPathConstraint.html" title="A path constraint to be enforced in the optimal control problem.">MocoPathConstraint</a>s of the problem during initializeOnModel(). </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="adfa1b787001167061e8208ef2553e619"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfa1b787001167061e8208ef2553e619">&#9670;&nbsp;</a></span>maxFinalTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double OpenSim::MocoProblemInfo::maxFinalTime</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a80cfabe5a8c8d8e2fdfd6b203ac2ceee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80cfabe5a8c8d8e2fdfd6b203ac2ceee">&#9670;&nbsp;</a></span>minInitialTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double OpenSim::MocoProblemInfo::minInitialTime</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Moco/MocoProblemInfo.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoProblemInfo.html">MocoProblemInfo</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:25 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
